summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2014-03-31 08:12:09 +0200
committerWaldemar Brodkorb <wbx@openadk.org>2014-03-31 08:12:09 +0200
commite81e05c453686b0aed5799fa52e398a07f43a4f9 (patch)
tree77b2af2a25cfc7eafb4f8633d862dc4df9b60331 /scripts
parent712a7998a6e64638154c2cc3b3262b0881ca0138 (diff)
use HOST_BUILD_DIR to avoid rebuilding after make clean, add genext2fs to checks
Diffstat (limited to 'scripts')
-rw-r--r--scripts/scan-tools.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/scripts/scan-tools.sh b/scripts/scan-tools.sh
index c9b8029d5..103f37411 100644
--- a/scripts/scan-tools.sh
+++ b/scripts/scan-tools.sh
@@ -273,6 +273,12 @@ if ! which ccache >/dev/null 2>&1; then
host_build_ccache=1
fi
+host_build_genext2fs=0
+if ! which genext2fs >/dev/null 2>&1; then
+ echo "No genext2fs found, will build one when required."
+ host_build_genext2fs=1
+fi
+
host_build_lzma=0
if ! which lzma >/dev/null 2>&1; then
echo "No lzma found, will build one when required."
@@ -301,6 +307,7 @@ if [ $host_build_findutils -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_F
if [ $host_build_xz -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_XZ" >> $topdir/target/config/Config.in.prereq ;fi
# optional
if [ $host_build_ccache -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_CCACHE if ADK_HOST_NEED_CCACHE" >> $topdir/target/config/Config.in.prereq ;fi
+if [ $host_build_genext2fs -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_GENEXT2FS if ADK_HOST_NEED_GENEXT2FS" >> $topdir/target/config/Config.in.prereq ;fi
if [ $host_build_lzma -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_LZMA if ADK_HOST_NEED_LZMA" >> $topdir/target/config/Config.in.prereq ;fi
if [ $host_build_lzop -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_LZOP if ADK_HOST_NEED_LZOP" >> $topdir/target/config/Config.in.prereq ;fi